> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/easy-cashouts-api-documentation-v1.md).

# Easy Cashouts API Documentation v1

### Easy Cashouts API

Welcome to the Easy Cashouts API API v1 Documentation page.

Here you will find all the details you need to review your current integration.

{% hint style="danger" %}
This documentation is meant only to support old integrations and should not be integrated anymore. For the latest Deposits Documentation [click here](https://docs.directa24.com/deposits/create-deposits).
{% endhint %}

### Deposits

#### APIs

| Name                                                                    | Description                                                                                                                                                                                     |
| ----------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Streamline](https://docs.directa24.com/v1/deposits-api/streamline-api) | Create a deposit request by collecting and sending to us all the details needed to pay. We will return you with a link to redirect the customer to the payment site                             |
| [Hybrid](https://docs.directa24.com/v1/deposits-api/hybrid-api)         | Create a link to redirect your customer to our Hosted Checkout page where we will collect all the details needed and show the customer the information required to complete the deposit and pay |

####

#### Endpoints

| Name                                                                    | Endpoint                                                       |
| ----------------------------------------------------------------------- | -------------------------------------------------------------- |
| [Streamline](https://docs.directa24.com/v1/deposits-api/streamline-api) | <https://api-stg.directa24.com/api_curl/streamline/NewInvoice> |
| [Hybrid](https://docs.directa24.com/v1/deposits-api/hybrid-api)         | <https://api-stg.directa24.com/api_curl/apd/create>            |

### Introduction

We work as a bridge between you and your customer's local payment methods such as banks, e-wallets, credit cards among others.

With only one integration, you have access to the most popular payment methods in the emerging markets.

### Technical and Security Details

* All communications should be made using POST method and exclusively through registered IPs on both sides.
* Only HTTPS requests are allowed
* Credentials must be included in all communications.
* Both parties must use an **HMAC-SHA-256 (RFC 2104)** code to verify the integrity of the information received from each side.

### Environments

Your account is associated with two different environments; Production and Staging (STG).

You will find your API credentials in the Merchant Panel by going to *Settings -> API Access*. Notice that the credentials between our Staging environment and our Production environment are different.

A **Staging** environment is available for integration development and testing which simulates the requests and transactions available in the platform. On test environment no transactions will actually be processed.

You can create deposits in Staging using the same payment methods than in Production, **the most important payment methods** are available for the simulation. During integration, on the Staging system you can approve or cancel the deposits yourself, and receive the notifications to test the full flow.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/easy-cashouts-api-documentation-v1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
